org.apache.ignite.spi.communication.tcp.internal

## Class ConnectionRequestFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<GridCommunicationClient>
  - - org.apache.ignite.spi.communication.tcp.internal.ConnectionRequestFuture

All Implemented Interfaces:
  IgniteInternalFuture<GridCommunicationClient>

    public class ConnectionRequestFuture
    extends GridFutureAdapter<GridCommunicationClient>

Marker future implementation, just like `ConnectFuture`, but meaning that we're waiting for the inverse connection.

### Constructor Summary

Constructors
Constructor and Description
`ConnectionRequestFuture()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionRequestFuture

    public ConnectionRequestFuture()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022